%define name 	RLPlot
%define version 0.99b
%define release 2mdk

Summary: 	Data Plotting and Graphing
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://prdownloads.sourceforge.net/rlplot/%{name}_%version.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL: 		http://rlplot.sourceforge.net
License: 	GPL
Group: 		Sciences/Other
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: 	qt3-devel XFree86-devel libstdc++-devel

%description
RLPlot is is a plotting program to create high quality graphs from data. 
Based on values stored in a spreadsheet several menus help you to create 
graphs of your choice. The Graphs are displayed as you get them (Wysiwyg). 
Double click any element of the graph (or a single click with the right 
mouse button) to modify its properties.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n RLPlot

%build
%make QTDIR=%{_libdir}/qt3

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
install -m 755 RLPlot $RPM_BUILD_ROOT/usr/bin
install -m 755 exprlp $RPM_BUILD_ROOT/usr/bin

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
(cd $RPM_BUILD_ROOT
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="More applications/Sciences/Other"\
title="RLPlot"\
longtitle="Data Plotting and Graphing"\
command="RLPlot"\
icon="RLPlot.png"
EOF
)

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}

%files
%defattr(-,root,root,0755)
%{_bindir}/RLPlot
%{_bindir}/exprlp
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_menudir}/*
%defattr(644,root,root,0755)
%doc README gpl.txt

%changelog
* Thu Jun 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.99b-2mdk
- rebuild

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.99b-1mdk
- 0.99b
- fix buildrequires and requires

* Wed Jul 2 2003 Austin Acton <aacton@yorku.ca> 0.98b-1mdk
- 0.98

* Wed Jun 11 2003 Austin Acton <aacton@yorku.ca> 0.97b-1mdk
- 0.97b
- fix icons
- cleanup spec

* Fri Apr 25 2003  Lenny Cartier <lenny@mandrakesoft.com> 0.96b-2mdk
- adjust buildrequires

* Tue Dec 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.96b-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- 0.96b
	- remove qt-mt patch

* Thu Nov 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.95b-1mdk
  - from Austin Acton <aacton@yorku.ca>
	- 0.95b

* Fri Sep 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.94-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- add readme file
	- replace patch with perl macro for easier updating
	- 0.94

* Thu Sep  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.91b-3mdk
- rebuild

* Thu Aug 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.91b-2mdk
- rebuild

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.91b-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- applied patch written by Ranger <bgmilne@cae.co.za> (thanks)
	- initial package creation for MDK 8.2
